QGIS Application - Bug report #2876
bring back raster legend icons
2010-07-08 05:49 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Map Legend

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 12936
Description

Icons have been disabled in r13899 because of performance problems while opening projects with many rasters.

Icons are nevertheless very useful.

History

#1 - 2010-07-08 06:55 AM - luca76 -

For me icons for raster image are not too useful.

Why should QGIS draw an icon that represent a, for example, 5000x5000 pixel raster in a space of 16x167?

QGIS should use a simple icons for all rasters...

#2 - 2010-07-08 06:58 AM - Giovanni Manghi

Why should QGIS draw an icon that represent a, for example, 5000x5000 pixel raster in a space of 16x16?

because when you do raster analisys your rasters (not normal orthophotomaps or militar maps) normally have very different colormaps and with icons they

are EASILY identified in the legend.

#3 - 2010-07-08 07:19 AM - William Kyngesburye

Here's my notes, for the record:

It seems to only affects rasters without overviews. | did a test with a single 1 GiB JP2 and it generates the legend icon nearly instantaneously. A 1.3 GiB
tiff without overviews takes a long time, yet the same with overviews is fast. A 200MiB tiff without overviews has a noticable delay, but it's not horrible.

Though the original issue is a small 14MiB vrt with jp2 images, zooming and panning are not affected. Maybe there's something else with a vrt that slows

down the legend generation?

#4 - 2010-07-11 03:13 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed
Ok, there is now an option to disable raster icons in case of performance problems (btw., those icons are 32x32 )
